@echo off
REM	echo BQ0 BIOS update tool
REM	echo Revision 0006/447E0600   2010/02/04
REM	echo.

REM	check /m > nul
REM	if "%AHWID%"=="04DC" goto CHKFILE
REM	goto HWIDERR

REM	:CHKFILE
set THISHWID=04DC
check /r=%THISHWID% /s=IAM /g=0006 /n=0 /S 0006447E.600 > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH
:BBFLASH
@echo Now reading BIOS update tool ...
echo Execute BIOS ROM flash.....
    afudos 0006447E.600 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos 0005447E.500 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos A7429IN1.300 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos A7429IN1.200 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos A7429IN1.108 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos A7429IN1.107 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos A7429IN1.105 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos A7429IN1.104 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos A7429IN1.103 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos A7429IN1.102 /p /b /x  /r1 /r2 /r3 /r11
REM    afudos 3ALAP023.ROM /p /b /x  /r1 /r2 /r3 /r11
echo.
echo Please input "Ctrl+Alt+Del" 
:END
